Во время установки could_not_start_session


#1

Решил я обновить один свой магазин (одна витрина) с 4.9 до 4.13.2.SP2, так как на этой версии стабильно работает другой магазин. Так как итераций было очень много, то решил попробовать два варианта:

  1. Пошагово обновить от версии к версии. Это удалось сделать. Магазин работает на 4.13.2.SP2. Но всплыло очень много разных косяков то там, то сям, как я и предполагал, на поиск их причин и устранение может уйти ощутимое количество времени.
  2. Поставить чистую версию 4.13.2.SP2 и в нее перенести данные. В этом варианте сразу уперся в то, что не устанавливается CS-Cart с нуля. Установка в самом начале на этапе проверки системных требований пишет:
_could_not_start_session
_text_could_not_start_session

Что бы это значило и как с этим бороться? Обновленный сайт до версии 4.13.2.SP2 работает, а установка той же самой версии не запускается.


#3

Проблема оказалась в версии PHP. Поменял 7.2 на 7.4 и проверка системных требований стала проходить успешно.


#4

Мы уже практически полностью перешли на восьмёрки mysql 8 и php 8. Да пришлось попотеть и перевести почти все модули на поддержку восьмерок, но это дало свои плоды по скорости работы в десятки раз.